local name, private = ...

local locale = GetLocale()

local L = {
    enUS = {
        -- No data here yet
    },
}

local metaL = {

}

function metaL.__call(self, ...)
    local arg = ...
    if self[locale] then
        if self[locale][arg] then
            return self[locale][arg]
        end
    end
    if self.enUS[arg] then
        return self.enUS[arg]
    end
    return arg
end

setmetatable(L, metaL)

private.L = L