local name, private = ...

Excavatinator = private.objects.base()

Excavatinator:RegisterEvent("ADDON_LOADED")
Excavatinator:RegisterEvent("ARTIFACT_HISTORY_READY")

Excavatinator.isLoaded = false

function Excavatinator:event(event, addon)
    if event == "ADDON_LOADED" then
        if addon ~= name then return end
        RequestArtifactCompletionHistory()
        private.artifacts:process()
    end
end

function Excavatinator:Load()
    private.artifacts:process()
    self.raceFrame = private.objects.ui.raceFrame()
    self.raceFrame:init()
    
    self.isLoaded = true
end

function showExcavatinator()
    if Excavatinator.isLoaded then
        Excavatinator.raceFrame.frame:Show()
    else
        Excavatinator:Load()
    end
end

SLASH_EXCAVATINATOR1 = '/excavatinator'
SlashCmdList["EXCAVATINATOR"] = showExcavatinator